function model = kbrExpandParam(model, params);

% KBREXPANDPARAM Update kernel based regression model with vector of parameters.
%
% model = kbrExpandParam(model, params);
%

% Copyright (c) 2005 Neil D. Lawrence
% kbrExpandParam.m version 1.1


startVal = 1;
endVal = model.numData*model.outputDim;
model.A = reshape(params(1:endVal), model.numData, model.outputDim);
model.b = params(endVal+1:end);